Visual Studio Icon Requisiti di sistema della famiglia di prodotti Visual Studio 2019 per MacVisual Studio 2019 for Mac Product Family System Requirements



Community degli sviluppatori | Requisiti di sistema | Compatibilità | Codice distribuibile | Documentazione | Blog | ManutenzioneDeveloper Community | System Requirements | Compatibility | Distributable Code | Documentation | Blogs | Servicing


I requisiti minimi di sistema per la famiglia di prodotti Visual Studio 2019 per Mac sono illustrati di seguito.The minimum system requirements for the Visual Studio 2019 for Mac family of products is below. Per installare Visual Studio 2019 per Mac, vedere Download di Visual Studio 2019.To install Visual Studio 2019 for Mac, see Visual Studio 2019 Downloads. Per altre informazioni su tutte le novità di questa versione, vedere le Note sulla versione di Visual Studio 2019 per Mac.For information about everything that's new in this release, see the Visual Studio 2019 for Mac release notes. Vedere anche Selezione della piattaforma e compatibilità di Visual Studio 2019 per Mac.See also Visual Studio 2019 for Mac Platform Targeting and Compatibility.

Visual Studio 2019 per MacVisual Studio 2019 for Mac

I prodotti seguenti supportano i requisiti minimi di sistema illustrati di seguito:The following products support the minimum system requirements below:

  • Visual Studio Enterprise 2019 per Mac.Visual Studio Enterprise 2019 for Mac.
  • Visual Studio Professional 2019 per Mac.Visual Studio Professional 2019 for Mac.
  • Visual Studio Community 2019 per Mac.Visual Studio Community 2019 for Mac.

Sistemi operativi supportatiSupported Operating Systems

È possibile installare ed eseguire Visual Studio 2019 per Mac con i sistemi operativi seguenti:Visual Studio 2019 for Mac will install and run on the following operating systems:

  • macOS Catalina 10.15 \* macOS Catalina 10.15 \*
  • macOS Mojave 10.14macOS Mojave 10.14
  • macOS High Sierra 10.13macOS High Sierra 10.13

La versione più recente di Xcode 11 richiede macOS Mojave 10.14, quindi anche i progetti Xamarin.iOS e Xamarin.Mac richiedono tale versione minima.The latest version of Xcode 11 requires macOS Mojave 10.14, therefore Xamarin.iOS and Xamarin.Mac projects also require that minimum version.

\* Anche se il funzionamento di Visual Studio 2019 per Mac versione 8.3 è stato testato in Catalina, macOS Catalina presenta problemi noti di compatibilità con più applicazioni.\* While Visual Studio 2019 for Mac version 8.3 has been tested to work on Catalina, macOS Catalina has known compatibility issues with multiple applications. Segnalare eventuali problemi riscontrati alla community degli sviluppatori.Please report any issues you notice at Developer Community. Catalina non supporta versioni precedenti di Visual Studio per Mac.Catalina does not suport older version of Visual Studio for Mac.

HardwareHardware

  • Processore da 1,8 GHz o superiore1.8 GHz or faster processor. Dual-core o migliore (opzione consigliata)Dual-core or better recommended.
  • 4 GB di RAM; consigliati 8 GB di RAM. Minimo 4 GB se in esecuzione in una macchina virtuale.4 GB of RAM; 8 GB of RAM recommended (4 GB minimum if running on a virtual machine).
  • Spazio su disco rigido necessario (impostazione predefinita): circa 5,6 GB.Hard disk required, by default: approx 5.6GB.

Lingue supportateSupported Languages

Visual Studio per Mac è disponibile nelle lingue seguenti:Visual Studio for Mac is available in the following languages:

  • IngleseEnglish
  • Cinese (semplificato)Chinese (Simplified)
  • Cinese (tradizionale)Chinese (Traditional)
  • CecoCzech
  • FranceseFrench
  • TedescoGerman
  • ItalianoItalian
  • GiapponeseJapanese
  • CoreanoKorean
  • PolaccoPolish
  • Portoghese (Brasile)Portuguese (Brazil)
  • RussoRussian
  • SpagnoloSpanish
  • TurcoTurkish

Requisiti aggiuntivi:Additional Requirements

  • .NET core SDK 2.2 è obbligatorio per poter usare le funzionalità e i progetti .NET Core..NET Core SDK 2.2 is required to use .NET Core projects and features. Può essere scaricato e installato separatamente e richiede macOS Sierra 10.12 o versione successiva.It can be downloaded and installed separately, and requires macOS Sierra 10.12 or higher.
  • Xamarin.Android richiede l'edizione a 64 bit del Java Development Kit (JDK).Xamarin.Android requires the 64-bit Java Development Kit (JDK).
  • Xamarin.iOS richiede Xcode IDE e iOS SDK di Apple.Xamarin.iOS requires Apple's Xcode IDE and iOS SDK.
  • Xamarin.Forms è utilizzabile sia per la piattaforma Android che per la piattaforma iOS, con i requisiti descritti in precedenza.Xamarin.Forms can target both Android and iOS platforms, given the requirements listed above.
In alto
Top of Page